spack:
  specs:
    # Notebook
    #- py-jupyter
    - py-ipython
    - py-ipykernel
    - py-notebook
    # Collab utils
    - clb-nb-utils@0.1.0
    # General
    - py-pip
    - py-numpy
    - py-scipy
    - py-pandas
    - py-seaborn
    - py-matplotlib
    - py-nameparser
    - py-lazyarray
    #- py-version-query
    # EBRAINS simulators
    - nest@3.3 +python +gsl +mpi
    - arbor +python +mpi ^python@3:3.9
    - neuron +mpi
    - py-pynn@0.9.6
    - tvb-data
    - tvb-library ^py-numba@0.54.0 ^binutils+ld+gold
    - tvb-storage ^binutils+ld+gold
    - py-pyaescrypt
    - py-formencode
    - tvb-framework ^binutils+ld+gold
    - pynn-brainscales@2.0-rc1 ^log4cxx@0.10.0 ^googletest@1.11.0:+gmock
    - py-neo
    #- py-cerebstats
    #- py-cerebunit
    - py-cerebrus
    - py-sciunit@0.2.5.1
    - py-quantities
    - py-quantities-scidash@0.12.4.3
    #- py-ebrains-drive@0.4.0
    #- py-vf-client@0.6.3
    - py-hbp-archive@1.1.1
    - py-viziphant
    #- py-morphounit@1.0.4
    #- py-neurom@1.4.10
    #- py-morphio@3.1.1
    - py-hippounit@1.3.6
    - py-efel@4.0.4
    - py-hbp-neuromorphic-platform@0.10.1
    - py-torch~cuda~rocm~valgrind~mkldnn~mpi~gloo+tensorpipe~onnx_ml@1.9.1 ^protobuf@:3.17.999
    - py-lfpy@2.2.6
    - py-elephant
    - py-frites
    #- biobb-common
    #- biobb-md
    # demo for codejam12
    #- funniest1022
  concretization: together
  packages:
    all:
      compiler: [gcc@10.3.0]
    python:
      version: [3.8.11]
